Package org.jbpm.kie.services.impl.model

## Class TimerDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.TimerDesc

- All Implemented Interfaces:
    `Serializable`, `TimerDesc`

      public class TimerDesc
      extends Object
      implements TimerDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimerDesc()` |
    `TimerDesc​(long id, long nodeId, String uniqueId, String nodeName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `getId()` | Returns the timer description id.
    `Long` | `getNodeId()` | Returns the timer description node id.
    `String` | `getNodeName()` | Returns the timer description node name.
    `String` | `getUniqueId()` | Returns the timer description unique id.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerDesc

          public TimerDesc()

    - #### TimerDesc

          public TimerDesc​(long id,
                           long nodeId,
                           String uniqueId,
                           String nodeName)

  - ### Method Detail

    - #### getId

          public Long getId()

      Description copied from interface: `TimerDesc`
      Returns the timer description id.
      Specified by:
        `getId` in interface `TimerDesc`
      Returns:
        id

    - #### getNodeId

          public Long getNodeId()

      Description copied from interface: `TimerDesc`
      Returns the timer description node id.
      Specified by:
        `getNodeId` in interface `TimerDesc`
      Returns:
        node id

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNodeName

          public String getNodeName()

      Description copied from interface: `TimerDesc`
      Returns the timer description node name.
      Specified by:
        `getNodeName` in interface `TimerDesc`
      Returns:
        node name

    - #### getUniqueId

          public String getUniqueId()

      Description copied from interface: `TimerDesc`
      Returns the timer description unique id.
      Specified by:
        `getUniqueId` in interface `TimerDesc`
      Returns:
        unique id